> ## Documentation Index
> Fetch the complete documentation index at: https://docsy3.mile.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Location History

> Location history is data that stores the user's location points that are sent periodically from the ...

## What is Location History?

Location history is data that stores the user's location points that are sent periodically from the mobile application if the user activates the tracking feature. However, this endpoint can also be useful for integration into the user's IoT devices such as GPS or other mobile trackers. All location data sent can be visualized in the platform in real time and makes it easier for users to monitor field activities more accurately. Location history data is stored with 1-year data retention.

## Key Features

> [card] [Read location history](https://docsy3.mile.app/api-reference/task/location-history/read-location-history.md)
>
> GET /location-histories

> [card] [Read location history by ID](https://docsy3.mile.app/api-reference/task/location-history/read-location-history-by-id.md)
>
> GET /location-history/{id}

> [card] [Read location history by token](https://docsy3.mile.app/api-reference/task/location-history/read-location-history-by-token.md)
>
> GET /location-history/tracking/{token}

> [card] [Create location history (bulk)](https://docsy3.mile.app/api-reference/task/location-history/bulk-create-location-history.md)
>
> POST /location-history/bulk

## Related Resources

* [Location History Object](https://docsy3.mile.app/api-reference/objects/location-history-object.md) - Location History data structure


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.